aboutsummaryrefslogtreecommitdiff
path: root/core/debian/cryptech-novena-rtl.postinst
diff options
context:
space:
mode:
Diffstat (limited to 'core/debian/cryptech-novena-rtl.postinst')
-rw-r--r--core/debian/cryptech-novena-rtl.postinst47
1 files changed, 47 insertions, 0 deletions
diff --git a/core/debian/cryptech-novena-rtl.postinst b/core/debian/cryptech-novena-rtl.postinst
new file mode 100644
index 0000000..d36653a
--- /dev/null
+++ b/core/debian/cryptech-novena-rtl.postinst
@@ -0,0 +1,47 @@
+#!/bin/sh -
+# postinst script for cryptech-novena-rtl
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# Perhaps this should run our /etc/init.d script in order to localize
+# the voodoo?
+
+load_fpga() {
+ load_novena_fpga /usr/share/cryptech/novena_eim.bit
+}
+
+# summary of how this script can be called:
+# * <postinst> `configure' <most-recently-configured-version>
+# * <old-postinst> `abort-upgrade' <new version>
+# * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+# <new-version>
+# * <postinst> `abort-remove'
+# * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+# <failed-install-package> <version> `removing'
+# <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+ configure)
+ load_fpga
+ ;;
+
+ abort-upgrade|abort-remove|abort-deconfigure)
+ ;;
+
+ *)
+ echo "postinst called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0